
  /* variables.css */

/* Colores */
:root {
    /* colors */
      --primary-color: #0e17af; 
      --secondary-color: #00edff; 
      --tertiary-color: #fff; 
      --fourth-color: #e84e1b;  
      --fifth-color: #343a40;  
    /* containers */
      --container-color-primary: #fff;
      --container-color-secondary: #01adce;
      --container-color-tertiary: #eceff1;
    
    /* Tipografías */
      --primary-font: 'Roboto', sans-serif;
      --secondary-font: 'Cabin', sans-serif;
      --tertiary-font: 'SUSE', sans-serif;
      --fourth-font: 'Poppins', sans-serif;
    /* Tamaños de letra */
      --font-size-small: 0.875rem; /* 14px */
      --font-size-medium: 1rem; /* 16px */
      --font-size-large: 1.25rem; /* 20px */
      --font-size-xlarge: 1.5rem; /* 24px */
      --font-size-icons: 4rem; /* 64px */
    }
  
  /* logo css header */
  .header{
    background-color: var(--container-color-primary);
    transition: all 1s ease-in-out;
    height: 110px;
    
    }
    .header:hover{
      /* height: 150px;   */
    background-color: var(--container-color-primary);
    transition: all 1s ease-in-out;
    opacity: 1;
    }
    .header-scroll {
      opacity: 0;
      /* height: 100px; */
      transition: all 1s ease-in-out;
    }
    .navbar-nav{
      background-color: white;
      border-radius: 10px;
      transition: all 1s ease-in-out;
    
    }
    .navbar a{
      font-family: var(--fourth-font);
      color: var(--fifth-color);
      font-weight: 500;
    }
    .cont-image{
      /* background-color: white; */
      width: auto;
      max-width: 250px;
      transition: all 0.5s ease-in-out;
  
    }
  
.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
  }

  @media (min-width: 768px) {
    .bd-placeholder-img-lg {
      font-size: 3.5rem;
    }
  }

  /* GLOBAL STYLES
  --------------------------------------------- */
  /* Padding below the footer and lighter body text */

  
  body {
    overflow-x:hidden;
  }



/***********************************************************Sección Hero Tecnológico ***********************************************************/
.heroImgTec{
  margin-top: 110px;
}
.containerheroImgTec {

  margin-bottom: 50px;
  /* margin: 10px auto;  */
  max-width: 100%;
  padding: 0;
  border-radius: 0;
  overflow: hidden;
  position: relative;
  box-shadow: 0 20px 90px rgba(0, 0, 0, 0.563);
  animation: fadeIn 1.5s ease-in-out;
  text-align: center;
}

.containerheroImgTec img {
  width: 100%;
  height: auto;
  transition: transform 0.3s ease-in-out, opacity 0.3s ease-in-out;
  position: relative;
  z-index: 1;
}

.containerheroImgTec:hover img {
  transform: scale(1.05);
  opacity: 0.3;
}


.containerheroImgTec::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(45deg, var(--primary-color), var(--fourth-color), var(--fifth-color));
  z-index: 0;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.containerheroImgTec:hover::before {
  opacity: 1;
}


.containerheroImgTec::after {
  content: 'Bienvenidos al Tecnológico de Misantla';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: var(--tertiary-color);
  font-size: 4rem;
  font-weight: 700;
  font-family: var(--fourth-font);
  text-shadow: 3px 3px 10px rgba(0, 0, 0, 0.9);
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  z-index: 2;
}

.containerheroImgTec:hover::after {
  opacity: 1;
}

/* Responsivo para móviles
@media (max-width: 768px) {
  .containerheroImgTec {
      margin: 100px auto; 
  }
} */

/* Animación para la entrada */
@keyframes fadeIn {
  from {
      opacity: 0;
      transform: translateY(-20px);
  }

  to {
      opacity: 1;
      transform: translateY(0);
  }
}


.containerheroImgTec img {
  width: 100%;
  border-radius: 10px;
  transition: transform 0.3s ease-in-out;
}

.containerheroImgTec img:hover {
  transform: scale(1.05);
  opacity: 0.3;
}

.containerheroImgTec::after {
  content: 'Bienvenidos al Tecnológico de Misantla';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: var(--tertiary-color);
  font-size: 3rem;
  font-weight: 700;
  font-family: var(--fourth-font);
  text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8);
  text-align: center;
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  z-index: 1;
}

.containerheroImgTec:hover::after {
  opacity: 1;
}

@media (max-width: 380px) {
  .containerheroImgTec:hover::after {
      width: 100%;
      font-size: 25px;
  } 
}

/* Responsivo para teléfonos (hasta 789px) */
@media (max-width: 789px) {
  .containerheroImgTec {
      margin: 10px auto;
      position: relative;
      overflow: hidden;
      height: 50vh;
  }

  .containerheroImgTec img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: transform 0.3s ease-in-out;
  }

  .containerheroImgTec:hover img {
      transform: scale(1.1);
      opacity: 0.5;
  }

  .containerheroImgTec::before {
      opacity: 0.6;
  }

  .containerheroImgTec::after {
      font-size: 2.3rem;
      text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8);
      top: 60%;
      transform: translate(-50%, -60%);
  }
}

/* Responsivo para tablets (de 790px a 991px) */
@media (min-width: 790px) and (max-width: 991px) {
  .containerheroImgTec {
      margin: 0 auto;
      position: relative;
      overflow: hidden;
      height: 53vh;
  }

  .containerheroImgTec img {
      width: 100%;
      height: 100%;
      object-fit: cover;
      transition: transform 0.3s ease-in-out;
  }

  .containerheroImgTec:hover img {
      transform: scale(1.05);
      opacity: 0.5;
  }

  .containerheroImgTec::before {
      opacity: 0.6;
  }

  .containerheroImgTec::after {
      font-size: 2.5rem;
      text-shadow: 2px 2px 5px rgba(0, 0, 0, 0.8);
      top: 60%;
      transform: translate(-50%, -60%);
  }
}


/************************************************************* Sección Acerca del Tec ******************************************************************************************/
.AcercaTec1 {
  background: linear-gradient(180deg, #ffffff, #dceeff);
  padding: 40px 0;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
}

/* Contenedor de las tarjetas */
.AcercaTecWrapper1 {

  display: flex;
  gap: 20px;
  justify-content: center;
  align-items: center;
  width: 100%;
  max-width: none;
  margin: 0 auto;
  overflow: hidden;
}

/* Tarjetas */
.AcercaTecDiv1 {
  position: relative;
  width: 200px;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  border-radius: 10px;
  transition: all 0.6s ease;
  cursor: pointer;
  /* background: #fff; */
  box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
}

/* Imagen dentro de la tarjeta */
.AcercaTecDiv1 img {
  max-width: 60%;
  height: auto;
  transition: all 0.3s ease;
  /* background-color: red; */
}

/* Texto oculto inicialmente */
.textOverlay1 {
  position: absolute;
  top: 0;
  left: 100%;
  width: 50%;
  height: 100%;
  background-color: rgba(240, 248, 255, 0.9);
  display: flex;
  flex-direction: column;
  justify-content: center;
  padding: 20px;
  box-sizing: border-box;
  opacity: 0;
  transition: all 0.8s ease;
  overflow: hidden;
}

/* Asegurando que el texto sea más legible */
.textOverlay1 h3 {
  font-size: 1.2rem;
  font-weight: 700;
  margin-bottom: 8px;
  color: #333;
}

.textOverlay1 p {
  font-size: 1rem;
  line-height: 1.5;
  margin-bottom: 8px;
  color: #333;
}

/* Efecto hover */
.AcercaTecDiv1:hover {
  width: 50vw;
  height: 300px;
  flex-direction: row;
  overflow: hidden;
  transition: all 0.8s ease;
  z-index: 2;
  margin-right: 30px;
  /* background-color: blue; */

}

/* Ajuste de la imagen en hover */
.AcercaTecDiv1:hover img {
  width: 20%;
  height: 100%;
  object-fit: contain;
  transition: all 0.5s ease;
  object-position: left;
}

/* Asegurar que la información se vea correctamente y ocupe más espacio */
.AcercaTecDiv1:hover .textOverlay1 {
  position: relative;
  left: 0;
  width: 80%;
  opacity: 1;
  /* Hacer visible la información */
}

/* Efecto de mover la tarjeta adyacente */
.AcercaTecWrapper1:hover .AcercaTecDiv1:not(:hover) {
  transform: translateX(-15px);
  opacity: 0.6;
  transition: all 0.8s ease;
}

/* Ajustes responsivos */
/* @media (max-width: 767px) {
  .AcercaTecWrapper1 {
      flex-direction: column;
      gap: 15px;
  }

  .AcercaTecDiv1 {
      width: 100%;
      height: auto;
  }

  .AcercaTecDiv1 img {
      width: 50%;
  }

  .textOverlay1 {
      width: 100%;
      left: 0;
  }
} */

/* Ajustes para pantallas pequeñas (menos de 789px) */
@media (max-width: 380px) {

  .textOverlay1:hover h3 {
      /* padding: 10px; */
      font-size: 20px;
      background-color: transparent;
  }

  .textOverlay1:hover p {
      font-size: 13px;
  }
}

@media (max-width: 789px) {

  .AcercaTecWrapper1 {
      flex-direction: column;
      gap: 20px;
      padding: 0 15px;
  }

  .AcercaTecDiv1 {
      width: 40%;
      min-height: 200px;
      margin: 0 auto;
      box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
      transition: all 0.6s ease;
      display: flex;
      flex-direction: column;
      justify-content: center;
      /* padding: 100px; */
  }

  .AcercaTecDiv1 img {
      width: 70%;
      height: auto;
      transition: all 0.8s ease;
      object-fit: contain;
  }

  .textOverlay1 {
      width: 100%;
      left: 0;
      opacity: 0;
      transition: opacity 0.8s ease;
      padding: 20px;
      box-sizing: border-box;
      height: 20%;
  }

  .AcercaTecDiv1:hover .textOverlay1 {
      opacity: 1;
      left: 0;

  }

  .AcercaTecDiv1:hover {
      width: 100%;
      transition: all 0.8s ease;

  }

  .AcercaTecDiv1:hover img {
      width: 30%;
      height: auto;
      margin-left: 10px;
      object-fit: contain;
      transition: width 0.5s ease;
      display: none;
  }

  .AcercaTecDiv1:hover .textOverlay1 {
      width: 100%;
      position: relative;
      left: 0;
      padding: 20px;
      box-sizing: border-box;
      height: 100%;
  }
}

/* Ajustes para pantallas medianas (de 790px a 991px) */
@media (min-width: 790px) and (max-width: 991px) {
  .AcercaTecWrapper1 {
      flex-direction: row;
      gap: 20px;
      padding: 0 30px;
  }

  .AcercaTecDiv1 {
      width: 270px;
      min-height: 250px;
      margin: 0 15px;
      transition: all 0.6s ease;  
      display: flex;
      flex-direction: column;
      justify-content: center;
      z-index: 1;
  }

  .AcercaTecDiv1 img {
      max-width: 60%;
      height: auto;
      transition: all 0.3s ease;
      object-fit: contain;
  }

  .textOverlay1 {
      width: 100%;
      left: 0;
      opacity: 0;
      padding: 20px;
      box-sizing: border-box;
      height: auto;
  }

  .AcercaTecDiv1:hover .textOverlay1 {
      opacity: 1;
      left: 0;
      padding: 20px;
  }

  .AcercaTecDiv1:hover {
      width: 90%;
      transition: all .8s ease;
  }

  .AcercaTecDiv1:hover img {
      width: 20%;
      height: auto;
      margin-left: 10px;
      object-fit: contain;
      transition: width 0.5s ease;
  }

  .AcercaTecDiv1:hover .textOverlay1 {
      width: 100%;
      position: relative;
      left: 0;
      padding: 20px;
      box-sizing: border-box;
      height: auto;
  }
}



/*********************************************************** Estilo de las tarjetas de instalaciones********************************************************** */
.instalaciones {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 1rem;
  /* margin: 20px; */
  /* margin-top: 90px; */
  padding: 100px;
  /*Quitar si lo quiero dividir en dos secciones de forma visible*/
  background: linear-gradient(180deg, #dceeff, #ffffff);
}

.card {
  position: relative;
  display: flex;
  flex-direction: column;
  height: 100%;
  overflow: hidden;
  border: 2px solid #ddd;
  border-radius: 10px;
  cursor: pointer;
  transition: transform 0.3s ease;
}

.card img {
  width: 100%;
  height: auto;
  object-fit: cover;
  flex-shrink: 0;
  /* Evita que las imágenes se compriman */
}

.card-info {
  padding: 15px;
  text-align: center;
  flex-grow: 1;
  /* Permite que el contenido ocupe el espacio restante */
}

.card-info h3 {
  font-size: 1.2rem;
  color: var(--primary-color);
  margin: 10px 0;
}

.card-info p {
  font-size: 1rem;
  color: var(--fifth-color);
}

.card:hover {
  opacity: 0.8;
}

/* Media Queries para Responsividad */

/* Responsivo para teléfonos (hasta 789px) */
@media (max-width: 789px) {
  .instalaciones {
      padding: 30px 15px;
      grid-template-columns: 1fr;
  }

  .card {
      margin-bottom: 15px;
  }

  .card-info h3 {
      font-size: 1rem;
  }

  .card-info p {
      font-size: 0.9rem;
  }

  .card img {
      object-fit: cover;
      height: 200px;
  }
}

/* Responsivo para tablets (de 790px a 1150px) */
@media (min-width: 790px) and (max-width: 1150px) {
  .instalaciones {
      padding: 50px 30px;
      grid-template-columns: repeat(2, 1fr);
      gap: 20px;
      justify-items: center;
  }

  .card:nth-child(1),
  .card:nth-child(2) {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      height: 100%;
      margin-bottom: 20px;
  }

  .card:nth-child(3) {
      display: flex;
      flex-direction: column;
      justify-content: center;
      align-items: center;
      height: 100%;
      grid-column: span 2;
      justify-self: center;
  }

  .card img {
      object-fit: cover;
      height: 250px;
      width: 100%;
  }

  .card-info h3 {
      font-size: 1.1rem;
  }

  .card-info p {
      font-size: 0.95rem;
  }
}





/*********************************************************** Sección Nuestra Academia ***********************************************************/

.academia {
  background-color: rgba(139, 230, 255, 0.082);
  padding: 30px 0;
}

.academia h2.NuestraAcademia {
  /* text-align: center;
  font-size: 2.5em;
  margin-top: 20px;
  margin-bottom: 20px;
  color: var(--primary-color); */

  font-family: var(--primary-font);
  color: var(--tertiary-color);
  text-align: center;
  font-size: 2rem;
  font-weight: 600;
  background-color: var(--container-color-secondary);
  border-radius: 8px;
  padding: 10px;
  margin: 0 auto;
  /* margin-left: 700px;  */
  display: block;
  max-width: 25%;
  margin-bottom: 20px;
}

.academia .card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 40px;
  max-width: 1200px;
  margin: 0 auto;
  margin-top: 60px;
}

.academia .card {
  /* background-color: transparent; */
  /* background-color: rgba(200, 242, 255, 0.9); */
  border-radius: 10px;
  border: solid 1px rgba(0, 0, 0, 0.502);
  border-top: none;
  /* Elimina el borde superior */
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s, box-shadow 0.3s;
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
  width: calc(20% - 20px);
  padding: 20px;
  min-height: 350px;
  position: relative;
  overflow: visible;
}

.academia .profesor-img {
  border-radius: 10px;
  width: 100%;
  height: auto;
  object-fit: cover;
  transition: transform 0.3s ease;
  position: relative;
  z-index: 1;
}

.academia .profesor-info {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  position: absolute;
  bottom: 0;
  background-color: rgba(255, 255, 255, 0.9);
  /* background-color: rgba(200, 242, 255, 0.9); */
  width: 100%;
  padding: 10px;
  z-index: 2;
  transition: transform 0.3s ease;
}

.academia .profesor-info h3 {
  font-size: 1.2em;
  margin: 5px 0;
  color: var(--primary-color);
}

.academia .profesor-info p {
  font-size: 1em;
  color: #2c2a2a;
  margin: 0;
  display: none;
}

.academia .card:hover .profesor-img {
  transform: translateY(-60px);
}

.academia .card:hover .profesor-info {
  transform: translateY(-40px);
  /* background-color: rgba(200, 242, 255, 0.9); */
}

.academia .card:hover .profesor-info p {
  display: block;
}

.academia .card:hover .profesor-img {
  border: none;
}

.card:hover .wrapper::before,
.wrapper::after {
  opacity: 1;
}

.card:hover .wrapper::after {
  height: 120px;
}

.title {
  width: 100%;
  transition: transform 0.5s;
}

.card:hover .title {
  transform: translate3d(0%, -50px, 100px);
}

/* @media (max-width: 992px) {
  .academia .card {
      width: calc(50% - 20px);
      min-height: 300px;
  }
}

@media (max-width: 600px) {
  .academia .card {
      width: 100%;
      min-height: 250px;
  }
} */

/* MEDIAS DE MIOS DE ANTES */
/* Responsivo para teléfonos (máx. 789px) */
/* @media (max-width: 789px) {
  .academia h2.NuestraAcademia {
      max-width: 80%;
      font-size: 1.5rem;
  }

  .academia .card-container {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 15px;
      padding: 20px;
  }

  .academia .card {
      width: 100%;
      min-height: 300px;
      max-width: none;
      margin: 0 auto;
      transition: .5s;
  }

  .academia .profesor-img {
      width: 100%;
      height: auto;
  }

  .academia .profesor-info {
      padding: 10px;
      position: static;
      transform: none;
  }

  .academia .profesor-info h3 {
      font-size: 0.9em;
  }

  .academia .profesor-info p {
      font-size: 0.8em;
      display: none;
  }

}

/* Responsivo para tablets (790px - 1080px) */
/* @media (min-width: 790px) and (max-width: 1080px) {
  .academia .containerAcademia {
      padding: 35px;
  }

  .academia .card-container {
      display: grid;
      grid-template-columns: repeat(3, 1fr);
      gap: 20px;
  }

  .academia .card {
      width: 100%;
      min-height: 350px;
      max-width: none;
  }

  .academia .profesor-img {
      height: 200px;
      object-fit: cover;
  }

  .academia .profesor-info h3 {
      font-size: 1em;
  }

  .academia .profesor-info p {
      font-size: 0.9em;
  }
} */

/* Pantallas pequeñas (máx. 789px) */
@media (max-width: 789px) {
  .academia h2.NuestraAcademia {
      max-width: 80%;
      font-size: 1.5rem;
  }

  .academia .card-container {
      display: grid;
      grid-template-columns: repeat(2, 1fr);
      gap: 40px;
      padding: 10px;
  }

  .academia .card {
      display: flex;
      flex-direction: column;
      align-items: center;
      width: 90%;
      margin: 0 auto;
      padding: 30px;
      background-color: #fff;
      border-radius: 10px;
      box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
      min-height: 200px;
  }

  .academia .profesor-img {
      width: 90%;
      min-height: 200px;
      object-fit: cover;
      border-radius: 10px 10px 0 0;
  }

  .academia .profesor-info {
      width: 100%;
      height: 20%;
      flex-grow: 1;
      padding: 20px;
      margin-top: 100px;
      text-align: center;
  }

  .academia .profesor-info h3 {
      font-size: 1rem;
      margin-bottom: 5px;
  }

  .academia .profesor-info p {
      font-size: 0.8rem;
  }
}

@media (max-width: 580px) {
  .academia .profesor-info {
      height: 40%;
  }

}


/* Pantallas medianas (790px a 1080px) */
@media (min-width: 790px) and (max-width: 1080px) {
  .academia h2.NuestraAcademia {
      max-width: 60%;
      font-size: 1.8rem;
  }

  .academia .card-container {
      grid-template-columns: repeat(3, 1fr);
      gap: 25px;
      padding: 20px;
  }

  .academia .card {
      width: calc(30% - 20px);
      min-height: 300px;
      padding: 20px;
  }

  .academia .profesor-img {
      height: 350px;
  }

  .academia .profesor-info h3 {
      font-size: 1.1rem;
  }

  .academia .profesor-info p {
      font-size: 1rem;
  }
}

@media (max-width: 510px) {

  .academia .profesor-img {
      width: 90%;
      /* height: auto; Mantiene proporción */
      min-height: auto;
      object-fit: cover;
      border-radius: 10px 10px 0 0;
  }

  .academia .profesor-info h3 {
      font-size: .8rem;
  }
}


/*---------------------------------- Modal Styles */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  background-color: rgba(0, 0, 0, 0.5);
  justify-content: center;
  align-items: center;
}

.modal-content {
  background: linear-gradient(180deg, #ffffff, #dceeff);
  margin: 15% auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  max-width: 600px;
  border-radius: 10px;
  position: relative;
  line-height: 25PX;
}

.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.modal-content h3 {
  color: var(--primary-color);
  font-size: 25pX;
}

.modal-content p {
  color: #333;
}

@media (max-width: 789px) {

  /* .modal{
      /* width: auto; */
  /* margin-top: 10px;  sops
  } */
  .modal-content {
      line-height: 18px;
      max-height: 70%;
      font-size: 10Px;

  }
}




/* Líneas de Investigación */
/* Container styles */
.lineaInvestigacion-container {
  max-width: 800px;
  margin: 50px auto;
  padding: 20px;
  text-align: center;
  background-color: var(--container-color-tertiary);
  border-radius: 8px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
}

.lineaInvestigacion-title {
  /* font-size: var(--font-size-xlarge);
  font-weight: bold;
  margin-bottom: 20px;
  color: var(--primary-color);
  font-family: var(--secondary-font); */
  font-family: var(--primary-font);
  color: var(--tertiary-color);
  font-size: 1.5rem;
  font-weight: 600;
  background-color: var(--container-color-secondary);
  border-radius: 8px;
  padding: 10px;
  /* width: 50%; */
  margin-bottom: 20px;

}

.lineaInvestigacion-card {
  background-color: var(--container-color-primary);
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
  overflow: hidden;
}

.lineaInvestigacion-cardContent {
  display: flex;
}

.lineaInvestigacion-buttonGroup {
  display: flex;
  width: 100%;
}

.lineaInvestigacion-button {
  flex: 1;
  padding: 15px;
  font-size: var(--font-size-medium);
  border: none;
  cursor: pointer;
  background-color: var(--container-color-tertiary);
  transition: background-color 0.3s, color 0.3s;
  color: var(--fifth-color);
  font-family: var(--tertiary-font);
}

.lineaInvestigacion-button:hover {
  background-color: var(--container-color-secondary);
  color: var(--tertiary-color);
}

.lineaInvestigacion-button.selected {
  /* background-color: var(--primary-color); */
  background-color: white;
  color: var(--container-color-secondary);
  font-size: 18px;
}

.lineaInvestigacion-divider {
  width: 1px;
  background-color: var(--secondary-color);

}

.lineaInvestigacion-output {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
  gap: 20px;
  margin-top: 20px;
}

.lineaInvestigacion-cardItem {
  border: 2px solid transparent;
  border-radius: 8px;
  padding: 16px;
  background: var(--container-color-primary);
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
  text-align: left;
  transition: transform 0.2s, box-shadow 0.2s;
  position: relative;
  overflow: hidden;
}

.lineaInvestigacion-cardItem::before {
  content: '';
  position: absolute;
  top: -2px;
  left: -2px;
  right: -2px;
  bottom: -2px;
  background: linear-gradient(45deg, #6eaff5, #b1cfee, #6eaff5, #b1cfee);
  background-size: 400% 400%;
  animation: gradientAnimation 5s ease infinite;
  z-index: -1;
}

.lineaInvestigacion-cardItem:hover {
  transform: translateY(-5px);
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.2);
}

@keyframes gradientAnimation {
  0% {
      background-position: 0% 50%;
  }

  50% {
      background-position: 100% 50%;
  }

  100% {
      background-position: 0% 50%;
  }
}

.lineaInvestigacion-cardHeader {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
  font-family: var(--fourth-font);
}

.lineaInvestigacion-cardHeader h3 {
  font-size: var(--font-size-large);
  color: var(--fifth-color);
}

.lineaInvestigacion-cardHeader .icon {
  color: var(--secondary-color);
  font-size: var(--font-size-icons);
}

.lineaInvestigacion-cardBody {
  font-size: var(--font-size-small);
  margin-bottom: 10px;
  color: var(--fifth-color);
  font-family: var(--tertiary-font);
}

.lineaInvestigacion-cardButton {
  display: inline-block;
  padding: 10px 15px;
  font-size: var(--font-size-medium);
  color: var(--tertiary-color);
  background-color: var(--fourth-color);
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s, transform 0.2s;
  font-family: var(--secondary-font);
}

.lineaInvestigacion-cardButton:hover {
  background-color: var(--primary-color);
  transform: scale(1.05);
}

.lineaInvestigacion-cardImage {
  width: 50px;
  height: 50px;
  object-fit: cover;
  border-radius: 50%;
  margin-right: 10px;
}



@media (max-width: 600px) {
  .lineaInvestigacion-cardBody {
      font-size: var(--font-size-small);
  }

  .lineaInvestigacion-title {
      font-size: var(--font-size-large);
  }
}
  

/* footer */

/* footer */
.footer{
  /* margin-top: 50px; */
  padding-top: 100px;
  padding-bottom: 20px;
  background-color: var(--container-color-tertiary);
  
}

.title-card h1{
  font-size: 30px;
  color: #37517e;
  font-weight: 700;
  margin-bottom: 10px;
}
.space{
  margin-top: 20px;
}
.info-card h5{
  color: #37517e;
  font-weight: 600;
}
.info-card strong{
  font-size: 18px;
  color: #37517e;
}
.info-card p{
  font-size: 15px;
  font-size: 16px;
}

.card-header {
  background: linear-gradient(to right, #1e90ff, #00d2ff);
  color: white;
  text-align: center;
  font-size: 1.5rem;
  font-weight: bold;
}
.card {
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
}
.btn-custom {
  background: none;
  border: 2px solid #1e90ff;
  color: #1e90ff;
  border-radius: 20px;
  padding: 10px 20px;
  font-weight: bold;
}
.btn-custom:hover {
  background: #1e90ff;
  color: white;
}
.stronge{
  font-size: 30px;
  color: #37517e;
  font-weight: 800;
  margin-bottom: 10px;
  font-family: var(--tertiary-font);
}
.img-logo{
  width: 100%;
  text-align: center;
}
.img-logo img{
  max-width: 200px;
}

.img-jefe{
  display: flex;
  justify-content: center;
}
.img-jefe img{
  display: flex;
  max-width: 200px;
  justify-content: center;
}

#footer-links-useful{ 
  margin-bottom: 10px;
}
#footer-links-useful a{ 
  color: black;
  text-decoration: none;
  font-weight: 300;
}
#footer-links-useful i{ 
  color: rgb(55, 142, 255);
}

.footer-copyright{
  background: linear-gradient(to top, #323741, var(--container-color-tertiary) );
  color: white;
}